const cron = require('node-cron');
const { exec } = require('child_process');


function executeTask() {
    console.log(`Envio realizado em: ${new Date().toLocaleTimeString()}`);
    

    exec('node enviar.js', (error, stdout, stderr) => {
        if (error) {
            console.error(`Erro na execução: ${error.message}`);
            return;
        }
        if (stderr) {
            console.error(`Erro de saída: ${stderr}`);
            return;
        }
        console.log(`Log:\n${stdout}`);
    });
}


cron.schedule('40 12 * * *', () => {
    executeTask();
});

console.log('Cron rodando...');
